---
title: Emilia pincab, le flipper virtuel libre sous GNU/Linux
date: '2023-03-01'
author: 'Philippe Coval'
type: 'news'
illustration: '/images/posts/pinball.jpg'
---

Lors d'une <a href="https://mamot.fr/@rzr@mastodon.social/107028685088943999#PinballAstrolabe">soirée astrolabe</a>,
j'ai amené mon flipper virtuel libre bricolé durant le
<a href="https://fr.wikipedia.org/wiki/Confinements_liés_à _la_pandémie_de_Covid-19_en_France">confinement de 2020</a>.
<br/>
En "cadeau de départ" à mes amis astrolabiens,
je viens de publier une nouvelle version,
et profite de cet article pour donner un peu plus d'information sur la motivation de ce projet.
<p/>

# DEMO


Emilia pinball est un projet C++ qui date depuis plus de 20 ans,
j'y ai contribué quelques patches et je trouvais que ce projet était une bonne base pour expérimenter différents systèmes.
J'ai ainsi pris la maintenance de ce projet,
et m'en suit servit surtout pour évaluer les pipelines graphiques sous GNU/Linux, ou outils d'intégrations divers,
. Cela m'a servit d'exemple pour construire des systèmes embarqués sous différents OS
(
<a href="https://tracker.debian.org/pkg/pinball">Debian</a>,
<a href="https://github.com/cazfi/meta-games/pull/52#">OpenEmbedded/ Yocto Project</a>,
<a href="https://snapcraft.io/pinball">UbuntuCore</a>,
etc)
ou matériel (PC, SBC, RPi, MCU, sensors...)

<center>
<iframe title="pinball-ohos-fosdem2021 built on #OpenHarmonyOS during #FOSDEM2021 @ https://purl.org/rzr/pinball#" width="560" height="315" src="https://diode.zone/videos/embed/c518e459-129b-4f09-be62-cad2dd8cfb9b" frameborder="0" allowfullscreen="" sandbox="allow-same-origin allow-scripts allow-popups"></iframe>
</center>


# SOUS LE CAPOT

Ce projet bien que pas très sérieux en apparence a été très formateur, et m'a ouvert certaines opportunités,
tel que le
<a href="https://projects.eclipse.org/projects/oniro">projet Oniro</a>
mais cela est une autre histoire.

<center>
<iframe title="pincab-lgm2021-rzr #LGM2021 #Emilia #Pinball #Pincab profile @ https://purl.org/rzr/pinball" width="560" height="315" src="https://peertube.debian.social/videos/embed/a9df93ce-fcdf-4683-a3af-6da9371184b5" frameborder="0" allowfullscreen="" sandbox="allow-same-origin allow-scripts allow-popups"></iframe>
</center>



# Conclusion

Tout cela à été possible grâce au fait que ce projet est libre,
tout le monde est bienvenue pour l'utiliser
ou bien d'y contribuer d'une façon ou d'une autre,
il y a suffisamment a faire pour faire vivre ce jeu 20 ans de plus.
<br/>
N'hésitez pas a interagir sur
<a href="https://github.com/rzr/pinball">le tracker du projet</a>
ou bien
<a href="https://purl.org/rzr">contactez moi</a>
si vous voulez quelques astuces.

<a href="https://mamot.fr/@AstrolabeCAE@framapiaf.org/107061603593471410#PinballAstrolabe">Amusez vous bien !</a>

# Ressources

- [https://purl.org/rzr/pinball](https://purl.org/rzr/pinball)
- [https://purl.org/rzr/presentations](https://purl.org/rzr/presentations)
- [https://purl.org/rzr](https://purl.org/rzr)
- [https://github.com/rzr/pinball](https://github.com/rzr/pinball)
- [https://github.com/rzr/pinball-table-gnu](https://github.com/rzr/pinball-table-gnu)
- [https://github.com/rzr/pinball-table-hurd](https://github.com/rzr/pinball-table-hurd)
- [https://pinball.sf.net](https://pinball.sf.net)
- [https://www.astrolabe.coop/members/philippe-coval/](https://www.astrolabe.coop/members/philippe-coval/)

